---
title: "Depop API: Search | Perceptlayer"
description: "Search from Depop as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/depop/search
---

[APIs](https://perceptlayer.com/apis) / [Depop](https://perceptlayer.com/apis/depop) / Search

# Depop: Search

Search from Depop as JSON. 1 credit per successful call.

GET `/v1/depop/search`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `query` | string | Required | Up to 200 characters |
| `country` | string | Optional | Any |
| `limit` | integer | Optional | Any |
| `cursor` | string | Optional | Up to 500 characters |
| `sort` | string | Optional | price\_asc, price\_desc |
| `condition` | string | Optional | Up to 500 characters |
| `brands` | string | Optional | Up to 500 characters |
| `colours` | string | Optional | Up to 500 characters |
| `variants` | string | Optional | Up to 500 characters |
| `product_types` | string | Optional | Up to 500 characters |
| `groups` | string | Optional | Any |
| `gender` | string | Optional | male, female, unisex |
| `is_kids` | boolean | Optional | Any |
| `price_min` | number | Optional | Any |
| `price_max` | number | Optional | Any |
| `discounted` | boolean | Optional | Any |
| `discount_types` | string | Optional | Any |
| `min_discount` | integer | Optional | Any |
| `max_discount` | integer | Optional | Any |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/depop/search" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/depop?try=search#playground) with your own parameters. 1 credit per successful call; failed calls are free.
